SDL_TextInputEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_WindowID | windowID
const char * | text

## Detailed Description

Keyboard text input event structure (event.text.*)

This event will never be delivered unless text input is enabled by calling SDL_StartTextInput(). Text input is disabled by default!

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_StartTextInput
  SDL_StopTextInput

Definition at line 426 of file SDL_events.h.

## Field Documentation

## reserved

Uint32 SDL_TextInputEvent::reserved

Definition at line 429 of file SDL_events.h.

## text

const char* SDL_TextInputEvent::text

The input text, UTF-8 encoded

Definition at line 432 of file SDL_events.h.

## timestamp

Uint64 SDL_TextInputEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 430 of file SDL_events.h.

## type

SDL_EventType SDL_TextInputEvent::type

SDL_EVENT_TEXT_INPUT

Definition at line 428 of file SDL_events.h.

## windowID

SDL_WindowID SDL_TextInputEvent::windowID

The window with keyboard focus, if any

Definition at line 431 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h